helix(6)

NAME
helix - draw helical string-art patterns

SYNOPSIS
helix [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--erase-speed usecs] [--erase-mode integer] [--delay seconds] [--install] [--visual visual] [--fps]

DESCRIPTION
The helix program draws interesting patterns composed of line segments in random colors.

OPTIONS
helix accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--delay seconds
    This sets the number of seconds that the helix will be on the screen.

--subdelay microseconds
    This sets the amount of time to pause periodically while drawing.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1992 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 13-aug-92. Screen eraser improved by Johannes Keukelaar <johannes@nada.kth.se>,
 18-sep-97.